[blfs-dev] gnucash brokenness

Ken Moffat zarniwhoop at ntlworld.com
Sun Feb 26 16:44:49 PST 2012


On Sun, Feb 26, 2012 at 06:15:23AM -0800, Fernando de Oliveira wrote:
> Em 25-02-2012 22:19, Ken Moffat escreveu:
> >>
> >  I started to look at what this would need, but there's a bigger
> > problem - gnucash wants gtkhtml-3 : I'll be updating the book to -4
> > shortly for gnome-3.  Now I did manage to build the old version
> > last week, but only by getting rid of the built-in defines to warn
> > or error about deprecated things :
> >  sed -i 's/-D.*DEPRECATED/ /g' configure
> 
> I used --disable-deprecated-warning-flag, after I read your previous posts.
> 
 Thanks for that - in the meantime, I rebuilt it using what I think
is the correct set of fedora patches re guile-2.0, but with webkit-1
instead of gtkhtml : it still falls flat on its face and gives a
traceback of scm files (with guile-2.0), so I guess that gtkhtml
(whether with your clean fix or my dirty fix) is not the problem.

 I can't see myself getting time to try to build guile-1.8 in
/opt/deadparrot/, so reinstating gnucash is dependent on someone who
can can do that, preferably with guile-2.0 in /usr.

 LFS has always been about living on the bleeding edge, although
fedora and debian-unstable users often bleed a bit more, so I don't
think that reverting the book's (main) version of guile to 1.8 is
the correct thing to do.

ĸen
-- 
das eine Mal als Tragödie, das andere Mal als Farce



More information about the blfs-dev mailing list